Subject: Re: linux-next: build failure after merge of the modules tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 10 Feb 2021 23:21:48 +1100

Hi Jessica,

On Wed, 10 Feb 2021 09:06:48 +0100 Jessica Yu <[email-masked]> wrote:
> 
> Sorry, by "feature" I meant CONFIG_TRIM_UNUSED_KSYMS. This config
> option was introduced around v4.7. If simply enabling it produces
> these compilation errors I was wondering if it ever built properly on
> powerpc.

Ah, of course.  So for a quick fix, you could revert just the changes
to lib/Kconfig and all the defconfigs.  That way all the UNUSED_SYMBOLS
infrastructure is still removed, but TRIM_UNUSED_KSYMS remains (un)set
whenever it used to be (un)set and that could then be cleaned up in a
followup patch set per architecture when we know it works.
-- 
Cheers,
Stephen Rothwell